@echo off
echo Compileren van een .MAP bestand naar een .BSP bestand voor DOS
echo (c) Copyright 1996 by Yori Zwols
echo.
if "%1"=="" goto help

rem --- Virtueel geheugen installeren (50000 kb in QBSP.SWP) (Veranderen!) ---
set DOS4GVM=minmem#512 maxmem#8192 virtualsize#50000 swapfile#qbsp.swp

if not "%_4VER%"=="" goto Use4DOS

rem MS-DOS/PC-DOS versie
echo Geen 4DOS gedetecteerd.

rem --- MAP -> BSP ---
qbsp %1.map
if errorlevel 1 goto errorqbsp

rem --- Licht calculeren ---
light %1.bsp
if errorlevel 1 goto errorlight

rem --- Zicht calculeren (Duurt lang!) ---
vis %1.bsp
if errorlevel 1 goto errorvis

echo Klaar!

goto done

:Use4DOS
rem 4DOS versie
echo 4DOS gedetecteerd!

rem --- MAP -> BSP ---
qbsp %@NAME[%1].map
if errorlevel 1 goto errorqbsp

rem --- Licht calculeren ---
light %@NAME[%1].bsp
if errorlevel 1 goto errorlight

rem --- Zicht calculeren (Duurt lang!) ---
vis %@NAME[%1].bsp
if errorlevel 1 goto errorvis

echo Klaar!
goto done

:help
echo Opdrachtregel: COMPILE.BAT filenaam
echo   Waarbij GEEN extensie opgegeven mag worden.
echo.
goto done

:errorqbsp
echo Fout bij het runnen van QBSP!
goto done

:errorlight
echo Fout bij het runnen van LIGHT!
goto done

:errorvis
echo Fout bij het runnen van VIS!
goto done

:done